Bug 175729 - MOUNTD_NFS_V2=no doesn't work
MOUNTD_NFS_V2=no doesn't work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-12-14 07:31 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0463
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:29:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nfs-mountd-v2-off-rhel4.patch (495 bytes, patch)
2005-12-14 07:31 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-12-14 07:31:36 EST
As the mountd protocol version 1 and 2 handle NFS v2, both need to be switched
off to disable NFS v2.
Example:
mount -t nfs -o nfsvers=2 localhost:/test/ /mnt/test/
should fail with MOUNTD_NFS_V2=no in /etc/sysconfig/nfs ("mount to NFS server
'localhost' failed: server is down."), but doesn't without the attached patch.
Comment 1 Bastien Nocera 2005-12-14 07:31:37 EST
Created attachment 122221 [details]
nfs-mountd-v2-off-rhel4.patch
Comment 3 Steve Dickson 2006-05-02 12:57:55 EDT
fixed in nfs-utils-1.0.6-69
Comment 8 Red Hat Bugzilla 2006-08-10 17:29:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0463.html

Note You need to log in before you can comment on or make changes to this bug.